Bug 463587 - (CWIRC) Review Request: cwirc - An X Chat plugin to allow send and receive morse code over IRC
Review Request: cwirc - An X Chat plugin to allow send and receive morse code...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-23 18:15 EDT by Randall "Randy" Berry
Modified: 2009-01-27 21:09 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-27 21:09:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Randall "Randy" Berry 2008-09-23 18:15:37 EDT
Spec URL: http://dp67.fedorapeople.org/pkgs/SPECS/cwirc.spec
SRPM URL: http://dp67.fedorapeople.org/pkgs/SRPMS/cwirc-2.0.0-2.fc9.src.rpm
Description: CWIRC is an X Chat plugin that allows the user to send and receive Morse Code (CW) over IRC. Active CWIRC on IRC channels include #CW on irc.freenode.net. Requires XChat 2.0 or higher to use. When installed a user button is added to X Chat to allow activation/deactivation of the plugin. This is my first submission for review sponsorship is needed.

Sponsor Needed = Yes
rpmlint        = Pass
RPM Build      = Pass
Mock Build     = Pass
Comment 1 manuel wolfshant 2008-09-23 22:22:53 EDT
rpmlint is not silent:
the src.rpm:
[wolfy@wolfy tmp]$ rpmlint cwirc-2.0.0-2.fc9.src.rpm
cwirc.src: W: non-standard-group Applications/Communication
cwirc.src: W: no-version-in-last-changelog
cwirc.src: W: no-url-tag
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

the binary:
[wolfy@wolfy tmp]$ rpmlint /var/lib/mock//epel-5-x86_64/result/cwirc-2.0.0-2.el5.x86_64.rpm
cwirc.x86_64: W: file-not-utf8 /usr/share/doc/cwirc-2.0.0/LISEZMOI
cwirc.x86_64: W: non-standard-group Applications/Communication
cwirc.x86_64: W: no-version-in-last-changelog
cwirc.x86_64: W: no-url-tag
cwirc.x86_64: W: empty-%post
cwirc.x86_64: W: empty-%postun
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

Please also make sure that https://fedoraproject.org/wiki/Packaging/Guidelines#Compiler_flags is respected. The current spec always uses "-Wall -Wstrict-prototypes -O2 -DLINUX -fPIC -c "

On the plus side, it loads and seems to run on Centos 5/x86_64.
Comment 2 Randall "Randy" Berry 2008-09-24 18:24:06 EDT
Fixed rpmlint issues

Currently working on: 
"The current spec always uses "-Wall -Wstrict-prototypes -O2 -DLINUX -fPIC -c "
Comment 3 Randall "Randy" Berry 2008-09-28 03:32:26 EDT
Added patch to fix breakage when applying CFLAGS="$RPM_OPT_FLAGS" to spec

rpmlint    = pass
rpm build  = pass
mock build = pass
Comment 4 manuel wolfshant 2008-09-28 06:24:37 EDT
Please bump the release tag and list here the URL of the new spec + src.rpm each time you modify the spec. This makes tracking versions easier for everyone


Your idea to use a general function plus a loop to convert the french documentation to UTF-8 is nice. But replacing two lines of code with a 6 lines function + a 3 line loop hardly can be seen as an economy :) Anyway, please use
         iconv -f "$2" -t utf-8 < "$1" > "${1}_"
         touch -R "$1" "${1}_"
         mv -f "${1}_" "$1"
thus preserving the timestamp of the original file.

We still have one problem: the debuginfo that is generated is empty. I am also certain that the culprit are the two "strip " lines from the end of the build:
  gcc -shared -lm  -o cwirc.so plugin.shared.o ipc.shared.o grid.shared.o propagation.shared.o cwframe.shared.o
  strip cwirc.so
  gcc -lm  `pkg-config --libs gtk+-2.0` -o cwirc_frontend frontend.o io.o gui.o ipc.o keyer.o grid.o propagation
.o cwsound.o cwdecoder.o cwframe.o rcfile.o extension.o
  strip cwirc_frontend
  + exit 0
Comment 5 Randall "Randy" Berry 2008-09-28 13:59:14 EDT
Spec URL: http://dp67.fedorapeople.org/pkgs/SPECS/cwirc.spec
SRPM URL: http://dp67.fedorapeople.org/pkgs/SRPMS/cwirc-2.0.0-4.fc9.src.rpm

Fixed release numbers in spec file, uploaded new version to reflect release number, added patch to remove STRIP to generate debug file, changed LISEZMOI document to UTF-8 while preserving original date.

rpmlint    = pass
rpmbuild   = pass
mock build = pass
Comment 6 manuel wolfshant 2008-09-28 16:42:27 EDT
Everything seems OK now.
As potential sponsor, now I would like to see  either some other packages submitted by you to Fedora or some pre-reviews done by you for packages submitted for Fedora. You can use https://bugzilla.redhat.com/buglist.cgi?query_format=advanced&component=Package%20Review&bug_status=NEW to locate the submissions in need of review.
Comment 7 manuel wolfshant 2009-01-07 19:52:30 EST
Randall, can we see anything else that you have done related to Fedora Packaging ?
Comment 8 Randall "Randy" Berry 2009-01-08 07:02:44 EST
3 reviews so far:

https://bugzilla.redhat.com/show_bug.cgi?id=445970
https://bugzilla.redhat.com/show_bug.cgi?id=458402
https://bugzilla.redhat.com/show_bug.cgi?id=459924

1 reviewed and approved package that I am currently trying to get to work on 64 bit but so far have been unsuccessful. Koji won't build it on 64 bit.

https://bugzilla.redhat.com/show_bug.cgi?id=464441

Sponsor no longer needed.
Comment 9 Gwyn Ciesla 2009-01-08 07:57:58 EST
Confirmed, said his sponsor.
Comment 10 manuel wolfshant 2009-01-08 08:18:24 EST
heh, I was waiting for input in order to sponsor Randall :)


Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv2
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of package: 9cc6426b3f3d7cddf8961151c01722b6360b01e5 cwirc-2.0.0.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.                                                              [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64 / F7/x86_64
 [?] Package should compile and build into binary rpms on all supported architectures.
     Tested on:
 [x] Package functions as described (on F7/x86_64)
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the test passes.

================
*** APPROVED ***
================
Comment 11 Randall "Randy" Berry 2009-01-08 12:01:07 EST
Thanks Wolfy!

New Package CVS Request
=======================
Package Name: cwirc
Short Description: An xchat plugin for sending and receiving morse code over IRC
Owners: dp67
Branches: F-9, F-10, devel
InitialCC: dp67
Comment 12 Kevin Fenzi 2009-01-09 00:45:47 EST
cvs done. 

No need to set owner to initialcc, they already get the emails. ;)
Comment 13 Randall "Randy" Berry 2009-01-09 23:34:54 EST
Submitted for testing on F10
Comment 15 Randall "Randy" Berry 2009-01-14 19:53:02 EST
Pushed to updates-testing
Comment 16 Randall "Randy" Berry 2009-01-27 21:09:09 EST
Pushed to stable F9/10/devel

Note You need to log in before you can comment on or make changes to this bug.